# import.cpp File Reference

Implementation of the "Import Image" layer. More...

`#include "import.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/canvas.h>`

## Functions

| SYNFIG_LAYER_INIT (Import)
| SYNFIG_LAYER_SET_NAME (Import,"import")
| SYNFIG_LAYER_SET_LOCAL_NAME (Import, N_("Import Image"))
| SYNFIG_LAYER_SET_CATEGORY (Import, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (Import,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Import,"$Id$")

## Detailed Description

Implementation of the "Import Image" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_LAYER_INIT | ( | Import |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Import | ,
|  | "import" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Import | ,
|  | N_("Import Image") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Import | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Import | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Import | ,
|  | "$Id$" |  |
| ) |  |  |